include($$PWD/isegHAL.pri)

TARGET = isegHAL
TEMPLATE = lib
CONFIG += console
CONFIG -= app_bundle
CONFIG -= qt
QMAKE_CFLAGS_WARN_ON += -Wno-missing-braces

DEFINES += TESTS

DEFINES += UNITY_FLOAT_VERBOSE

KERNEL = kernel

QMAKE_CFLAGS += -fPIC

INCLUDEPATH += $$KERNEL $$KERNEL/tests/unity socket_can

LIBS += -lpthread -lsocketcan

SOURCES += \
	$$KERNEL/tests/unity/unity.c \
	$$KERNEL/tests/unity/unity_fixture.c \
	kdatacache.c \
	isegapi.c \
	socket_can/receivethread.c \
	socket_can/sendthread.c \
	socket_can/mainthread.c \
	test/kdatacache_test.c \
	test/testrunner.c \
	kcan.c \
	kisegtime.c \
	kcrates_ech4x.c \
	kmodules.c \
	kchannel.c \
	ksystem.c \
	kstring.c \
	kcrates_ech238.c \
	kline.c

HEADERS += \
	$$KERNEL/tests/unity/unity.h \
	$$KERNEL/tests/unity/unity_fixture.h \
	$$KERNEL/tests/unity/unity_fixture_internals.h \
	$$KERNEL/tests/unity/unity_fixture_malloc_overrides.h \
	$$KERNEL/tests/unity/unity_internals.h \
	kdatacache.h \
	kdatacache_p.h \
	isegapi.h \
	socket_can/receivethread.h \
	socket_can/sendthread.h \
	socket_can/mainthread.h \
	version.h \
	isegcommon.h \
	$$KERNEL/kcan.h \
	$$KERNEL/kdeviceclass.h \
	$$KERNEL/kedcp_can_dataid.h \
	kmodules.h \
	kcrates_ech4x.h \
	kisegtype.h \
	kisegtime.h \
	ksystem.h \
	kchannel.h \
	kstring.h \
	kcrates_ech238.h \
	kech238_can_dataid.h \
	kernel/kproperties.h \
	kline.h

unix {
	target.path = /usr/lib
	INSTALLS += target
}

DISTFILES += \
	readme.txt
